<template>
    <div>
        <section class="ftco-section ftco-no-pb goto-here js-fullheight" id="resume-section">
            <div class="container">
                <div class="row">
                    <!-- hide in mobile view [.d-none .d-sm-block] -->
                    <div class="col-md-3 d-none d-sm-block">
                        <nav id="navi">
                            <ul>
                                <li><a href="#page-1">Education</a></li>
                                <li><a href="#page-2">Experience</a></li>
                                <li><a href="#page-3">Skills</a></li>
                            </ul>
                        </nav>
                    </div>
                    <div class="col-md-9">
                        <div id="page-1" class="page one">
                            <h2 class="heading">Education</h2>
                            <div v-for="education in cms.education"
                                 class="resume-wrap d-flex ftco-animate">
                                <div class="text pl-3">
                                    <span class="date">{{ education.time_period }}</span>
                                    <h2>{{ education.course }}</h2>
                                    <span class="position">{{ education.institution }}</span>
                                </div>
                            </div>
                        </div>

                        <div id="page-2" class="page two">
                            <h2 class="heading">Experience</h2>
                            <div v-for="exp in cms.experience"
                                 class="resume-wrap d-flex ftco-animate">
                                <div class="text pl-3">
                                    <span class="date">{{ exp.time_period }}</span>
                                    <h2>{{ exp.job_title }}</h2>
                                    <span class="position">{{ exp.employer }}</span>
                                </div>
                            </div>
                        </div>

                        <div id="page-3" class="page three">
                            <h2 class="heading">Skills</h2>
                            <div v-for="skill in cms.skills"
                                 class="resume-wrap d-flex ftco-animate">
                                <div class="text pl-3">
                                    <h2>{{ skill.type }}</h2>
                                    <span>{{ skill.values }}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</template>

<script>
    export default {
        name: 'Resume',
        props: {
            cms: Object,
            fullHeight: Function,
            loader: Function,
            contentWayPoint: Function,

        },
        mounted() {

            this.fullHeight();
            this.loader();
            this.contentWayPoint();
            this.scrollSpy();
        },
        methods: {
            scrollSpy() {

                //variable that will hold the href attr of the links in the menu
                var sections = [];
                //variable that stores the id of the section
                var id = false;
                //variable for the selection of the anchors in the navbar
                var $navbara = $('#navi a');

                $navbara.click(function (e) {
                    //prevent the page from refreshing
                    e.preventDefault();
                    //set the top offset animation and speed
                    $('html, body').animate({
                        scrollTop: $($(this).attr('href')).offset().top - 180
                    }, 500);
                    hash($(this).attr('href'));
                });


                //select all the anchors in the navbar one after another
                $navbara.each(function () {
                    // and adds them in the sections variable
                    sections.push($($(this).attr('href')));

                })
                $(window).scroll(function (e) {
                    // scrollTop retains the value of the scroll top with the reference at the middle of the page
                    var scrollTop = $(this).scrollTop() + ($(window).height() / 2);
                    //cycle through the values in sections array
                    for (var i in sections) {
                        var section = sections[i];
                        //if scrollTop variable is bigger than the top offset of a section in the sections array then
                        if (scrollTop > section.offset().top) {
                            var scrolled_id = section.attr('id');
                        }
                    }
                    if (scrolled_id !== id) {
                        id = scrolled_id;
                        $($navbara).removeClass('current');
                        $('#navi a[href="#' + id + '"]').addClass('current');
                    }
                })
            }
        }
    }
</script>


<style scoped>

</style>
